@media screen and (max-width: 767px) {

    /* mobile home-page */
    body#home-page {
        font-family: "Poppins", sans-serif;
        background-image: none;
        margin: 0;
    }

    hr {
        display: none;
    }

    h1 {
        display: none;
    }

    .mobile-hidden {
        display: none;
    }

    nav#nav-bar {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        padding: 0.5rem;
        background-color: #084156;
    }

    a.nav-link {
        text-decoration: none;
        font-size: 1.5rem;
        font-weight: 600;
        color: #db8f01;
        margin-top: 1rem;
        margin-bottom: 1rem;
    }

    .nav-link:hover {
        color: #1091ab;
        background-color: #db8f01;
    }

    div#header-cont {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
    }

    #logos {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        background-color: #ffffff;
    }

    #header-logo {
        width: 100%;
        max-width: 100vw;
        margin-top: 2rem;
    }

    #logo-text {
        font-family: "PlayfairDisplay", sans-serif;
        margin-top: 3rem;
        font-size: 1.5rem;
        text-align: center;
    }

    #cursive-text {
        font-family: "Pinyon Script", cursive;
        font-weight: 700;
        font-size: 3rem;
        background: linear-gradient(to right, #1091ab 20%, #084956 40%, #db8f01 60%, #dda202 80%);
        background-clip: text;
        color: transparent;
        text-align: center;
        margin-top: 1rem;
    }


    .fa-facebook {
        color: #1877F2;
    }

    .fa-instagram {
        background: linear-gradient(to bottom, #405DE6, #5851db, #833AB4, #C13584, #E1306C, #FD1D1D);
        background-clip: text;
        color: transparent;
    }

    .fa-envelope-o {
        color: #D44638;
    }

    .fa-mobile {
        color: #000;
    }

    .fa-picture-o {
        background: linear-gradient(to bottom, #084156, #759afe, #e36e08, #d62976, #4f5bd5);
        background-clip: text;
        color: transparent;
    }

    .fa-youtube {
        color: #ff0000;
    }

    /* mobile photography page */

    img.logo {
        display: none;
    }

    p.mobile-hidden {
        display: none;
    }

    nav.mobile-socials-nav {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        padding: 1rem;
    }

    div#packages {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .mobile-packages-cont {
        margin-top: 1rem;
    }

    fieldset#legend {
        margin-top: 0.25rem;
    }

    img.mobile-hidden {
        display: none;
    }

    nav.mobile-hidden {
        display: none;
    }

    /* mobile contacts page */

    body#contact-page {
        background-image: none;
    }

    div#contact-cont {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    nav#nav-bar {
        width: 100%;
    }

    form#contact-form {
        margin: auto;
    }

    button#submit-btn {
        margin: auto;
    }

}

/* Styles used in all pages of the website*/
#home-page {
    font-family: Poppins, sans-serif;
    background-image: url('../images/background1.jpg');
    background-attachment: fixed; 
    background-size: cover;       
    background-repeat: no-repeat; 
    background-position: center;  
}

.desktop-hidden {
    display: none;
}

.hidden {
    display: none;
}

#header-cont {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding-bottom: 0px;
    padding-top: 0px;
}

#top-hr {
    margin-top: 2rem;
}

#header-logo {
    width: 37.5rem;
    height: auto;
    margin-top: 3rem;
}

#logo-text {
    margin-top: 1.25rem;
    font-size: 1.5rem;
}

#cursive-text {
    font-family: "Pinyon Script", cursive;
    font-weight: 700;
    font-size: 3rem;
    background: linear-gradient(to right, #1091ab 20%, #084956 40%, #db8f01 60%, #dda202 80%);
    background-clip: text;
    color: transparent;
    margin-bottom: 2rem;
}

#logos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0;
}

.fa-camera-1 {
    background: linear-gradient(#1091ab, #084956);
    background-clip: text;
    color: transparent;
    margin-right: 1.25rem;
}

h1 {
    font-size: 4rem;
    font-family: "Playfair Display", serif;
    background: linear-gradient(#1091ab, #084956);
    background-clip: text;
    color: transparent;
}

#story {
    font-family: "Playfair Display", serif;
    background: linear-gradient(#dda202, #db8f01);
    background-clip: text;
    color: transparent;
}

.socials-cont {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    gap: 4rem;
    margin-right: 3rem;
}

.fa-facebook, .fa-instagram, .fa-envelope-o, .fa-mobile, .fa-picture-o, .fa-youtube {
    font-size: 3.125rem;
    margin-right: 0.625rem;
}

.fa-facebook {
    color: #1877F2;
}

.fa-instagram {
    background: linear-gradient(to bottom, #405DE6, #5851db, #833AB4, #C13584, #E1306C, #FD1D1D);
    background-clip: text;
    color: transparent;
}

.fa-envelope-o {
    color: #D44638;
}

.fa-mobile {
    color: #000;
}

.fa-picture-o {
    background: linear-gradient(to bottom, #084156, #759afe, #e36e08, #d62976, #4f5bd5);
    background-clip: text;
    color: transparent;
}

.fa-youtube {
    color: #ff0000;
}

.socials-text {
    font-size: 1.5rem;
    text-decoration: none;
    background: linear-gradient(to right, #084956, #1091ab);
    background-clip: text;
    color: transparent;
}

.socials-text:hover {
    color: #db8f01;
    transition: color 0.3s ease;
}

.hidden-socials-text-desktop {
    display: none;
}

hr {
    border: none;
    height: 0.125rem; 
    padding: 0;
    background: linear-gradient(to right, transparent, #dda202 10%, #db8f01 50%, #dda202 90%, transparent);
}

/* Home Page */

#iframe-cont {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    border: 0.125rem solid #000;
}

#nav-bar {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 0.625rem 0;
}

#home-logo {
    width: 100%;
    max-width: 10rem;
    height: auto;
}

#home-logo:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease;
}

.nav-link {
    font-family: "Playfair Display", serif;
    font-size: 1.75rem;
    font-weight: bold;
    color: #084156;
    text-decoration: none;
    text-align: center;
}

.nav-link:hover {
    color: #db8f01;
    transition: color 0.3s ease;
    font-size: 1.85rem;
}

.photography-desktop-hidden {
    display: none;
}

